Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core.util
Class PublishAdapter

    java.lang.Object
      org.eclipse.wst.server.core.util.PublishAdapter

All Implemented Interfaces:
  IPublishListener

    public class PublishAdapter

extends java.lang.Object
implements IPublishListener

Helper class which implements the IPublishListener interface with empty methods.

Since:
  1.0
See Also:
  `IPublishListener`

Constructor Summary
`PublishAdapter()`

Method Summary
`void` | `publishFinished(IServer server, IStatus status)` Publishing has finished.
`void` | `publishStarted(IServer server)` Fired to notify that publishing has begun.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishAdapter

    public PublishAdapter()

Method Detail

### publishStarted

    public void publishStarted(IServer server)

  Description copied from interface: `IPublishListener`
  Fired to notify that publishing has begun.

  Specified by:
    `publishStarted` in interface `IPublishListener`
  Parameters:
    `server` - the server that publishing started on
  See Also:
    `IPublishListener.publishStarted(IServer)`

### publishFinished

    public void publishFinished(IServer server,
                                IStatus status)

  Description copied from interface: `IPublishListener`
  Publishing has finished. Returns the overall status.

  Specified by:
    `publishFinished` in interface `IPublishListener`
  Parameters:
    `server` - the server that publishing finished on
    `status` - indicating what (if anything) went wrong
  See Also:
    `IPublishListener.publishFinished(IServer, IStatus)`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD